Browse code

make byblos the default target for "./publish". make a legacy one in case we need to publish to alcatraz one last time.

Roger Dingledine authored on16/10/2007 04:32:31
Showing2 changed files
... ...
@@ -9,7 +9,7 @@ chmod a+r * -R
9 9
 
10 10
 ## I'm not comfortable having arbitrary people use --delete yet,
11 11
 ## since if they screw up it'll blow away arbitrary things.
12
-#rsync -Pravz --delete . tor.eff.org:directory/
12
+#rsync -Prvz --delete . tor.eff.org:directory/
13 13
 
14
-rsync -Prvz . tor.eff.org:/www/tor.eff.org/docs/
14
+rsync -Prvz . www.torproject.org:/var/www/www.torproject.org/htdocs/
15 15
 
16 16
new file mode 100755
... ...
@@ -0,0 +1,15 @@
1
+#!/bin/sh
2
+set -e # stop if we encounter an error
3
+
4
+svn update
5
+make
6
+
7
+# don't copy over stuff with permissions that make it useless
8
+chmod a+r * -R
9
+
10
+## I'm not comfortable having arbitrary people use --delete yet,
11
+## since if they screw up it'll blow away arbitrary things.
12
+#rsync -Pravz --delete . tor.eff.org:directory/
13
+
14
+rsync -Prvz . tor.eff.org:/www/tor.eff.org/docs/
15
+